[gnome-clocks/wip/mallard-help: 13/39] Add help to the build system



commit 43862c3a5ced15e59a30ce4516c1a05c4735cb5b
Author: Paolo Borelli <pborelli gnome org>
Date:   Sat Sep 7 12:18:37 2013 +0200

    Add help to the build system

 Makefile.am      |    2 +-
 autogen.sh       |    7 +++++++
 configure.ac     |    3 +++
 help/Makefile.am |   23 +++++++++++++++++++++++
 4 files changed, 34 insertions(+), 1 deletions(-)
---
diff --git a/Makefile.am b/Makefile.am
index 3ce38e4..3c77929 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,6 +1,6 @@
 ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
 
-SUBDIRS = po
+SUBDIRS = help po
 
 # desktop file
 # (we can't use INTLTOOL_DESKTOP_RULE here due to lp#605826)
diff --git a/autogen.sh b/autogen.sh
index 81af577..a3f3d60 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -19,6 +19,13 @@ if test -z $INTLTOOLIZE; then
     exit 1
 fi
 
+GNOMEDOC=`which yelp-build`
+if test -z $GNOMEDOC; then
+    echo "*** The tools to build the documentation are not found,"
+    echo "    please intall the yelp-tools package ***"
+    exit 1
+fi
+
 git submodule update --init --recursive
 
 autopoint --force || exit $?
diff --git a/configure.ac b/configure.ac
index 982b0b4..539bdae 100644
--- a/configure.ac
+++ b/configure.ac
@@ -58,9 +58,12 @@ PKG_CHECK_MODULES(CLOCKS, [
     libnotify >= 0.7.0
 ])
 
+YELP_HELP_INIT
+
 AC_CONFIG_FILES([
     Makefile
     data/org.gnome.clocks.gschema.xml.in
+    help/Makefile
     po/Makefile.in
 ])
 
diff --git a/help/Makefile.am b/help/Makefile.am
new file mode 100644
index 0000000..0fe152c
--- /dev/null
+++ b/help/Makefile.am
@@ -0,0 +1,23 @@
+ YELP_HELP_RULES@
+
+HELP_ID = gnome-clocks
+
+HELP_MEDIA = \
+       figures/gnome-clocks.png
+
+HELP_FILES = \
+       alarm-add.page \
+       alarm-edit.page \
+       alarm-remove.page \
+       alarm-snooze-stop.page \
+       stopwatch.page \
+       timer.page \
+       world-add.page \
+       world-check.page \
+       world-remove.page \
+       index.page \
+       legal.xml
+
+HELP_LINGUAS = 
+
+-include $(top_srcdir)/git.mk


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]